summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-tex/oesch
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-tex/oesch')
-rw-r--r--dev-tex/oesch/Manifest1
-rw-r--r--dev-tex/oesch/metadata.xml5
-rw-r--r--dev-tex/oesch/oesch-20080712.ebuild35
3 files changed, 41 insertions, 0 deletions
diff --git a/dev-tex/oesch/Manifest b/dev-tex/oesch/Manifest
new file mode 100644
index 00000000000..ceef5378b93
--- /dev/null
+++ b/dev-tex/oesch/Manifest
@@ -0,0 +1 @@
+DIST oesch-20080712.zip 23245 SHA256 7fd5c3c663c2f7893b7761519a2f612a36c6c72e2ea5630bd2dc7838d390b1ca SHA512 8cb2beae77abaa32be881e5d4acef3fbec9d08750d87b2af826f3e1340f323e5d199af5788c1c6aa8d8924caaf1ed0ebb74a4ef4d59c4526f9c5946208362ac5 WHIRLPOOL 75f6657319e1f8e02d1b0194fd15a5d8d4dd2a0d6d37f5c58a862b3aac58dd4cf4cfffa12f1a6ac69a7d210217f1416191afbf78e90740b1020b606734267b83
diff --git a/dev-tex/oesch/metadata.xml b/dev-tex/oesch/metadata.xml
new file mode 100644
index 00000000000..ba6a8a8800d
--- /dev/null
+++ b/dev-tex/oesch/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>tex</herd>
+</pkgmetadata>
diff --git a/dev-tex/oesch/oesch-20080712.ebuild b/dev-tex/oesch/oesch-20080712.ebuild
new file mode 100644
index 00000000000..d31b8cb1e26
--- /dev/null
+++ b/dev-tex/oesch/oesch-20080712.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit latex-package
+
+DESCRIPTION="Metafont font used in Austrian schools for hand writing"
+HOMEPAGE="http://www.ctan.org/tex-archive/fonts/oesch/"
+# taken from http://www.ctan.org/tex-archive/fonts/oesch.zip
+SRC_URI="mirror://gentoo/${P}.zip"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~amd64 ~x86-fbsd"
+IUSE="examples"
+
+RDEPEND="!<dev-texlive/texlive-fontsextra-2007-r1"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+TEXMF="/usr/share/texmf-site"
+
+S=${WORKDIR}/${PN}
+
+src_install() {
+ export VARTEXFONTS="${T}/fonts"
+ latex-package_src_install
+ insinto "${TEXMF}/fonts/source/public"
+ doins *.mf || die "failed to install metafont sources"
+ dodoc README LIESMICH
+ if use examples ; then
+ insinto /usr/share/doc/${PF}
+ doins *.tex || die "failed to install examples"
+ fi
+}